package main

import (
	"log"
)

func main() {
	var config Config
	var err error
	var repolist []GitHubRepo

	err = config.GetConfig()
	if err != nil {
		log.Fatal(err)
	}

	err = config.GetGiteaUserUID()
	if err != nil {
		log.Fatal(err)
	}

	repolist, err = GetReposFromGitHub(&config)
	if err != nil {
		log.Fatal(err)
	}

	RunMigration(&config, repolist)
}
